TagLib::DSF::File Class Reference

An implementation of TagLib::File with DSF specific methods. More...

`#include <dsffile.h>`

Inheritance diagram for TagLib::DSF::File:
[legend]
Collaboration diagram for TagLib::DSF::File:
[legend]

## Public Member Functions

| File (FileName file, bool readProperties=true, AudioProperties::ReadStyle propertiesStyle=AudioProperties::Average, ID3v2::FrameFactory *frameFactory=nullptr)
| File (IOStream *stream, bool readProperties=true, AudioProperties::ReadStyle propertiesStyle=AudioProperties::Average, ID3v2::FrameFactory *frameFactory=nullptr)
| ~File () override
ID3v2::Tag * | tag () const override
PropertyMap | properties () const override
PropertyMap | setProperties (const PropertyMap &) override
Properties * | audioProperties () const override
bool | save () override
bool | save (ID3v2::Version version)
Public Member Functions inherited from TagLib::File
| File (const File &)=delete
File & | operator= (const File &)=delete
FileName | name () const
virtual void | removeUnsupportedProperties (const StringList &properties)
virtual StringList | complexPropertyKeys () const
virtual List< VariantMap > | complexProperties (const String &key) const
virtual bool | setComplexProperties (const String &key, const List< VariantMap > &value)
ByteVector | readBlock (size_t length)
void | writeBlock (const ByteVector &data)
offset_t | find (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
offset_t | rfind (const ByteVector &pattern, offset_t fromOffset=0, const ByteVector &before=ByteVector())
void | insert (const ByteVector &data, offset_t start=0, size_t replace=0)
void | removeBlock (offset_t start=0, size_t length=0)
bool | readOnly () const
bool | isOpen () const
bool | isValid () const
void | seek (offset_t offset, Position p=Beginning)
void | clear ()
offset_t | tell () const
offset_t | length ()

## Static Public Member Functions

static bool | isSupported (IOStream *stream)

## Additional Inherited Members

Public Types inherited from TagLib::File
enum | Position { Beginning , Current , End }
enum | StripTags { StripNone , StripOthers }
enum | DuplicateTags { Duplicate , DoNotDuplicate }
Protected Member Functions inherited from TagLib::File
| File (FileName fileName)
| File (IOStream *stream)
void | setValid (bool valid)
void | truncate (offset_t length)
Static Protected Member Functions inherited from TagLib::File
static unsigned int | bufferSize ()

## Detailed Description

An implementation of TagLib::File with DSF specific methods.

This implements and provides an interface for DSF files to the TagLib::Tag and TagLib::AudioProperties interfaces by way of implementing the abstract TagLib::File API as well as providing some additional information specific to DSF files.

## Constructor & Destructor Documentation

## File() [1/2]

TagLib::DSF::File::File | ( | FileName | file,
|  | bool | readProperties = true,
|  | AudioProperties::ReadStyle | propertiesStyle = AudioProperties::Average,
|  | ID3v2::FrameFactory * | frameFactory = nullptr )

Constructs a DSD stream file from file.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.

If this file contains an ID3v2 tag, the frames will be created using frameFactory (default if null).

References TagLib::AudioProperties::Average.

## File() [2/2]

TagLib::DSF::File::File | ( | IOStream * | stream,
|  | bool | readProperties = true,
|  | AudioProperties::ReadStyle | propertiesStyle = AudioProperties::Average,
|  | ID3v2::FrameFactory * | frameFactory = nullptr )

Constructs a DSD stream file from stream.

Note
  In the current implementation, both readProperties and propertiesStyle are ignored. The audio properties are always read.

If this file contains an ID3v2 tag, the frames will be created using frameFactory (default if null).

Note
  TagLib will not take ownership of the stream, the caller is responsible for deleting it after the File object.

References TagLib::AudioProperties::Average.

## ~File()

TagLib::DSF::File::~File | ( |  | ) |

override virtual

Destroys this instance of the File.

Reimplemented from TagLib::File.

## Member Function Documentation

## audioProperties()

Properties * TagLib::DSF::File::audioProperties | ( |  | ) | const

override virtual

Returns the DSF::Properties for this file. If no audio properties were read then this will return a null pointer.

Implements TagLib::File.

## isSupported()

bool TagLib::DSF::File::isSupported | ( | IOStream * | stream | ) |

static

Returns whether or not the given stream can be opened as a DSF file.

Note
  This method is designed to do a quick check. The result may not necessarily be correct.

References TAGLIB_MSVC_SUPPRESS_WARNING_NEEDS_TO_HAVE_DLL_INTERFACE.

## properties()

PropertyMap TagLib::DSF::File::properties | ( |  | ) | const

override virtual

Implements the unified property interface – export function. Forwards to ID3v2::Tag::properties().

Reimplemented from TagLib::File.

## save() [1/2]

bool TagLib::DSF::File::save | ( |  | ) |

override virtual

Save the file.

This returns `true` if the save was successful.

Implements TagLib::File.

## save() [2/2]

bool TagLib::DSF::File::save | ( | ID3v2::Version | version | ) |

Save the file.

version specifies the ID3v2 version to be used for writing tags.

## setProperties()

PropertyMap TagLib::DSF::File::setProperties | ( | const PropertyMap & |  | ) |

override virtual

Implements the unified property interface – import function. Forwards to ID3v2::Tag::setProperties().

Reimplemented from TagLib::File.

## tag()

ID3v2::Tag * TagLib::DSF::File::tag | ( |  | ) | const

override virtual

Returns the ID3v2 Tag for this file.

Implements TagLib::File.

The documentation for this class was generated from the following file:

- dsffile.h